//Source file: CallEventNotifyEvent.java
//Date: December 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V6.3.0

package org.csapi.jr.se.cc.gccs;

/**
 * Event created by an activity object to indicate that a Gateway originated 
 * call to the callEventNotify() method on the callback interface 
 * has occurred.<BR>
 *
 */
public final class CallEventNotifyEvent extends java.util.EventObject {

    /**
     * Constructor for the CallEventNotifyEvent Event.
     *
     * @param  source      Reference to the object firing the event.<BR>
     */
    public CallEventNotifyEvent(java.lang.Object source,
        org.csapi.jr.se.cc.gccs.Call interfaceRef,
        org.csapi.jr.se.cc.gccs.CallEventInfo eventInfo) {

        super(source);
        this.call = interfaceRef;
      this.eventInfo = eventInfo;
 
    }

    org.csapi.jr.se.cc.gccs.Call call = null;

    /**
     *  This method is used to retrieve the Call, associated with this event.
     *
     * @return    The Call associated with this event.<BR>
     *
     */
    public org.csapi.jr.se.cc.gccs.Call getCall() {

        return this.call;
    }

    org.csapi.jr.se.cc.gccs.CallEventInfo eventInfo;

    /**
     *  This method is used to retrieve the parameter value of 'eventInfo' passed up
     *  from the Gateway in it's call to the callEventNotify() method, used on
     *  the creation of this event.
     *
     * @return    The value of 'eventInfo' used on creation of this event.
     */
    public org.csapi.jr.se.cc.gccs.CallEventInfo getEventInfo() {

        return this.eventInfo;
    }
       
}

