//Source file: CallListener.java
//Date: December 2004
//Generic Call Control Interfaces for 3GPP TS 29.198-04-2 V6.3.0

package org.csapi.jr.se.cc.gccs;

/**
 * This interface is to be implemented for receiving events issued by the Call service object.<BR>
 *
 */
public interface CallListener extends java.util.EventListener {


   /**
    * Called due to a Gateway initiated call to the getCallInfoRes() method on 
    * the callback interface.
    *
    * @param  getCallInfoResEvent  Reference to a GetCallInfoResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetCallInfoResEvent(org.csapi.jr.se.cc.gccs.GetCallInfoResEvent getCallInfoResEvent);


   /**
    * Called due to a Gateway initiated call to the getCallInfoErr() method on 
    * the callback interface.
    *
    * @param  getCallInfoErrEvent  Reference to a GetCallInfoErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetCallInfoErrEvent(org.csapi.jr.se.cc.gccs.GetCallInfoErrEvent getCallInfoErrEvent);


   /**
    * Called due to a Gateway initiated call to the superviseCallRes() method on 
    * the callback interface.
    *
    * @param  superviseCallResEvent  Reference to a SuperviseCallResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseCallResEvent(org.csapi.jr.se.cc.gccs.SuperviseCallResEvent superviseCallResEvent);


   /**
    * Called due to a Gateway initiated call to the superviseCallErr() method on 
    * the callback interface.
    *
    * @param  superviseCallErrEvent  Reference to a SuperviseCallErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onSuperviseCallErrEvent(org.csapi.jr.se.cc.gccs.SuperviseCallErrEvent superviseCallErrEvent);


   /**
    * Called due to a Gateway initiated call to the callFaultDetected() method on 
    * the callback interface.
    *
    * @param  callFaultDetectedEvent  Reference to a CallFaultDetectedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallFaultDetectedEvent(org.csapi.jr.se.cc.gccs.CallFaultDetectedEvent callFaultDetectedEvent);


   /**
    * Called due to a Gateway initiated call to the getMoreDialledDigitsRes() method on 
    * the callback interface.
    *
    * @param  getMoreDialledDigitsResEvent  Reference to a GetMoreDialledDigitsResEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMoreDialledDigitsResEvent(org.csapi.jr.se.cc.gccs.GetMoreDialledDigitsResEvent getMoreDialledDigitsResEvent);


   /**
    * Called due to a Gateway initiated call to the getMoreDialledDigitsErr() method on 
    * the callback interface.
    *
    * @param  getMoreDialledDigitsErrEvent  Reference to a GetMoreDialledDigitsErrEvent event 
    *        emmited from the impl or activity object. 
    */
    void onGetMoreDialledDigitsErrEvent(org.csapi.jr.se.cc.gccs.GetMoreDialledDigitsErrEvent getMoreDialledDigitsErrEvent);


   /**
    * Called due to a Gateway initiated call to the callEnded() method on 
    * the callback interface.
    *
    * @param  callEndedEvent  Reference to a CallEndedEvent event 
    *        emmited from the impl or activity object. 
    */
    void onCallEndedEvent(org.csapi.jr.se.cc.gccs.CallEndedEvent callEndedEvent);

}

