//Source file: CallReportRequest.java
//Date: December 2004
//Generic Call Control Data Types for 3GPP TS 29.198-04-2 V6.3.0

package org.csapi.jr.se.cc.gccs;

/**
 * Defines the Sequence of Data Elements that specify the criteria relating to call report requests. 
 * 
 */
public final class CallReportRequest implements java.io.Serializable {

    private org.csapi.jr.se.cc.CallMonitorMode monitorMode;
    private org.csapi.jr.se.cc.gccs.CallReportType callReportType;
    private org.csapi.jr.se.cc.gccs.CallAdditionalReportCriteria additionalReportCriteria;

    /**
     * Creates a new CallReportRequest instance.
     */
    public CallReportRequest () {}

    /**
     * Creates a new CallReportRequest instance.
     * @param _monitorMode   
     * @param _callReportType   
     * @param _additionalReportCriteria   
     */
    public CallReportRequest (org.csapi.jr.se.cc.CallMonitorMode _monitorMode, org.csapi.jr.se.cc.gccs.CallReportType _callReportType, org.csapi.jr.se.cc.gccs.CallAdditionalReportCriteria _additionalReportCriteria) {

        this.monitorMode = _monitorMode;
        this.callReportType = _callReportType;
        this.additionalReportCriteria = _additionalReportCriteria;
    }

    /**
     * This method returns a monitorMode.
     * 
     * @return a org.csapi.jr.se.cc.CallMonitorMode value
     */
    public org.csapi.jr.se.cc.CallMonitorMode getMonitorMode() {
        return monitorMode;
    }

    /**
     * This method returns a callReportType.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallReportType value
     */
    public org.csapi.jr.se.cc.gccs.CallReportType getCallReportType() {
        return callReportType;
    }

    /**
     * This method returns a additionalReportCriteria.
     * 
     * @return a org.csapi.jr.se.cc.gccs.CallAdditionalReportCriteria value
     */
    public org.csapi.jr.se.cc.gccs.CallAdditionalReportCriteria getAdditionalReportCriteria() {
        return additionalReportCriteria;
    }


    /**
     * This method sets a monitorMode.
     */ 
    public void setMonitorMode(org.csapi.jr.se.cc.CallMonitorMode monitorMode) {
        this.monitorMode = monitorMode;
    }

    /**
     * This method sets a callReportType.
     */ 
    public void setCallReportType(org.csapi.jr.se.cc.gccs.CallReportType callReportType) {
        this.callReportType = callReportType;
    }

    /**
     * This method sets a additionalReportCriteria.
     */ 
    public void setAdditionalReportCriteria(org.csapi.jr.se.cc.gccs.CallAdditionalReportCriteria additionalReportCriteria) {
        this.additionalReportCriteria = additionalReportCriteria;
    }


    /**
     * Indicates whether some other object is 'equal to' this one.
     */
    public boolean equals(Object o) {
        if (o == null) { 
            return false;
        }
        if(!(o instanceof CallReportRequest)) {
            return false;
        } 
        CallReportRequest callReportRequest = (CallReportRequest) o;
        if ((this.additionalReportCriteria != null) && (callReportRequest.additionalReportCriteria != null)) {
            if(!(this.additionalReportCriteria.equals(callReportRequest.additionalReportCriteria))) {
                return false;
            }
        }
        if ((this.callReportType != null) && (callReportRequest.callReportType != null)) {
            if(!(this.callReportType.equals(callReportRequest.callReportType))) {
                return false;
            }
        }
        if ((this.monitorMode != null) && (callReportRequest.monitorMode != null)) {
            if(!(this.monitorMode.equals(callReportRequest.monitorMode))) {
                return false;
            }
        }
        if (this.hashCode() != o.hashCode()) {
            return false;
        }
        return true;
    }

    /**
     * Returns a hashcode value for the object.
     */
    public int hashCode() {
        return 1;
    }

} // CallReportRequest

